Name:           dtkdeclarative
Version:        5.6.32
Release:        %autorelease
Summary:        Deepin Toolkit, declarative module for DDE look and feel
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dtkdeclarative
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

# virtual memory exhausted: Cannot allocate memory
#ExcludeArch:    i686

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5QuickCompiler)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DtkGui)
BuildRequires:  pkgconfig(gl)
BuildRequires:  doxygen

%description
dtkdeclarative is a widget development toolkit based on QtQuick/QtQml, which is
a brand new substitute for dtkwidget. dtkdeclarative is developed based on
qtdeclarative. It covers all existing QML widgets and adds plenty of DTK
friendly visual effects and color schemes. Compared to dtkwidget. It has:

- A primitive Qt and Qml code style
- Adapted APIs with traditional Qml
- Simple and quick development interfaces
- Unified widget theme style
- Abundant effects and colors

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1

%build
%cmake \
    -DINCLUDE_INSTALL_DIR=%{_includedir}/dtk5/DDeclarative \
    -DQCH_INSTALL_DESTINATION=%{_qt5_docdir} \
%cmake_build

%install
%cmake_install
%find_lang dtkdeclarative --all-name --with-qt

%files -f dtkdeclarative.lang
%license LICENSE
%doc README.md
%{_libdir}/libdtkdeclarative.so.5*

%files devel
%{_libdir}/libdtkdeclarative.so
%{_bindir}/dtk-exhibition
%{_includedir}/dtk5/DDeclarative/
%{_libdir}/cmake/DtkDeclarative/
%{_libdir}/pkgconfig/dtkdeclarative.pc
%{_libdir}/qt5/mkspecs/modules/qt_lib_dtkdeclarative.pri
%{_qt5_qmldir}/QtQuick/Controls.2/Chameleon/
%{_qt5_qmldir}/org/deepin/dtk/libdtkdeclarativeplugin.so
%{_qt5_qmldir}/org/deepin/dtk/qmldir
%{_qt5_docdir}/dtkdeclarative.qch
%{_datadir}/qtcreator/templates/wizards/projects/qml-app-template/

%changelog
%autochangelog
